%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	registrydecoder - automates acquisition, analysis, and reporting of Microsoft Windows registry contents.

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		registrydecoder
Version:	20120816
Release:	1%{?dist}
URL:		https://code.google.com/p/registrydecoder/

License:	GPL

Group:		Applications/Forensics Tools
Source0:	%{name}-%{version}.tar.gz
Source1:	RegistryDecoder-Offline-Analysis-Instructions-v1.1.pdf
Patch0:		%{name}-%{version}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
Requires:	%{__python}
Requires:	python-reportlab
Requires:	sleuthkit
Requires:	pytsk
Requires:	reglookup
%if 0%{?fedora} >= 13
Requires:	PyQt4
%endif
%if 0%{?centos} == 5
Requires:	python26-PyQt4
%endif
Requires:	python-xlwt

%description
This version of the Registry Decoder performs offline analysis (on an
investigator’s lab machine) of acquired registry files. This project
can be found here. The current version of this tool can process raw disk
images, partition images, individual registry files, and the database
of hives acquired by the online component. When given a disk image,
the Sleuthkit libraries are used to parse the image and read each
registry hive.  This includes the ability to acquire historical files
from System Restore Points as well as the RegBack folder of Vista and
7 images. Individual registry hives are processed using libraries from
the RegLookup project.

After being provided with all registry-oriented evidence for a particular
case, which can be any combination of registry files, disk images, and
acquired databases, Registry Decoder performs a one-time pre-processing
of the evidence. During this process, it creates a number of databases and
metadata files that contain all information needed to analyze the files.

The analysis section of the offline component contains a number of
powerful features. The first feature is Search, which allows for powerful
searching across registry hives. The searching abilities include:

	* Filtering by hive keys, name, and data
	* Filtering by the last write time of keys
	* Searching individual terms or with a newline delimited search term file
	* Exact or wildcard based search 
	* Viewing of search results
	* Automated reporting of search contents to HTML, PDF, or XLS

%prep
%setup -n %{name}-%{version}
find . -type d -name .svn -depth -exec rm -rf '{}' \;
%patch0 -p1

%build
%{__python} -m compileall .

%install
mkdir -p %{buildroot}%{python_sitelib}/%{name}
cp -rp . %{buildroot}%{python_sitelib}/%{name}
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh

cd %{python_sitelib}/%{name}
%{__python} guimain.py "\$@"
EOF
mkdir -p %{buildroot}/%{_docdir}/%{name}
cp -p %{SOURCE1} %{buildroot}/%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%attr(644, root, root)	%{python_sitelib}/%{name}/*.py*
%attr(644, root, root)	%{python_sitelib}/%{name}/*.spec
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*.py*
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*.sh
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*/*.py*
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*/*.ui
%attr(644, root, root)	%{python_sitelib}/%{name}/*/*/*/*.py*
%attr(755, root, root)	%{_bindir}/%{name}
%attr(644, root, root)	%{_docdir}/%{name}/*

%changelog
* Thu Jul 16 2012 Lawrence R. Rogers <lrr@cert.org> 20120816-1
* Release 20120816-1
	This is version 1.4 of the registry decoder.
	This is a build of the file labeled regdecoderR103.zip.
	See http://code.google.com/p/registrydecoder/source/list for the changes

* Mon Jul 9 2012 Lawrence R. Rogers <lrr@cert.org> 20120709-1
* Release 20120709-1
	This is a build of the file labeled regdecoderR99.zip.
	See http://code.google.com/p/registrydecoder/source/list for the changes

* Thu Jun 29 2012 Lawrence R. Rogers <lrr@cert.org> 20120629-1
* Release 20120629-1
	This is release 1.3 of registrydecoder.
	See http://code.google.com/p/registrydecoder/source/list for the changes

* Thu Feb 2 2012 Lawrence R. Rogers <lrr@cert.org> 20120202-1
* Release 20120202-1
	This is release 1.2 of registrydecoder.
	See http://code.google.com/p/registrydecoder/source/list for the changes

* Wed Nov 2 2011 Lawrence R. Rogers <lrr@cert.org> 20111103-1
* Release 20111103-1
	This is release 1.1 of registrydecoder.

	New Features include: 
	- Support for processing Encase (E01) files and split images
	- Full wildcard searching
	- Adding evidence after a case is created
	- Exporting of paths and their key/value pairs
	- Timelining of keys from the GUI into the Sleuthkit format
	- Running plugins from the command line
	- Running custom plugins outside the main executable/package
	- Support for dual boot machines

	Updates include:
	- Reports now have their extension appended if the user doesn't enter them
	- Reports can now be filtered by either deleting results or shift/ctrl selecting results
	- Users can right click within the Browse View to search directly for paths
	- The name/value box in the Browse View is now sortable
	- We also have six new plugins from Kevin Moore of CERT!

* Fri Sep 23 2011 Lawrence R. Rogers <lrr@cert.org> 20110919-1
* Release 20110919-1
	* Initial release
